Subject: Re: bug#59205: ‘guix help’ output is partly untranslated

From: Julien Lepiller <[email-masked]>
Date: Sat, 12 Nov 2022 09:11:35 +0100

Saluton!

The pot generation process for translations at weblate is separate from
the one for Guix. The pot in Guix is outdated and not updated
automatically.

It seems that the rules for generating the pot changed in Guix, but I
don't use them for generating the pot files in the translation repo.
That is because I don't want to run configure, make and risk something
breaking because of an ABI change, just for translations. I updated the
generation process and ran an update. The pot file in the translation
repo now has the missing strings and they should appear at weblate in a
few hours if all goes well :)

Le Fri, 11 Nov 2022 23:24:56 +0100,
Ludovic Courtès <[email-masked]> a écrit :

> Saluton!
> 
> The output of ‘guix help’ is partly untranslated:
> 
> --8<---------------cut here---------------start------------->8---
> $ LC_ALL=fr_FR.utf8 guix help | head -20
> Utilisation : guix OPTION | COMMANDE ARGS...
> Lance la COMMANDE avec les arguments ARGS, le cas échéant.
> 
>   -h, --help             afficher de nouveau ce texte d'aide et
> quitter -V, --version          afficher les informations sur la
> version les droits d'auteur et quitter
> 
> COMMANDE doit être une des sous-commandes listées ci-dessous :
> 
>   commandes principales
>     deploy        deploy operating systems on a set of machines
>     describe      describe the channel revisions currently used
>     gc            invoke the garbage collector
>     home          build and deploy home environments
>     install       install packages
>     package       manage packages and profiles
>     pull          pull the latest revision of Guix
>     remove        remove installed packages
>     search        search for packages
>     show          show information about packages
>     system        build and deploy full operating systems
> --8<---------------cut here---------------end--------------->8---
> 
> The synopses that appear in ‘define-command’ forms are left
> untranslated.  They are in ‘guix.pot’ but are missing from PO files.
> 
> Any idea?
> 
> Thanks,
> Ludo’.
> 
>